IntegrationsShopify
Run a ShopifyQL analytics query (e.g
Run a ShopifyQL analytics query (e.g. FROM sales SHOW total_sales GROUP BY month SINCE -3m); rows are capped at 1000.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
connection_id*string
Resource identifier: connection_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/shopify/reports/query" \ -H "Content-Type: application/json" \ -d '{ "shopifyql": "example" }'{ "columns": [], "rows": [], "row_count": 0, "truncated": false, "parse_errors": []}